hpp-corbaserver: _impl_ConfigValidations Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | List of all members
_impl_ConfigValidations Class Referenceabstract

`#include <hpp/core_idl/path_validations-idl.hh>`

Inheritance diagram for _impl_ConfigValidations:
[legend]
Collaboration diagram for _impl_ConfigValidations:
[legend]

## Public Member Functions
virtual | ~_impl_ConfigValidations ()
virtual void | add (::hpp::core_idl::ConfigValidation_ptr validation)=0
virtual size_type | numberConfigValidations ()=0
virtual void | clear ()=0
virtual void | setSecurityMargins (const ::hpp::floatSeqSeq &margins)=0
virtual void | setSecurityMarginBetweenBodies (const char *body_a, const char *body_b, ::hpp::value_type margin)=0
virtual void | filterCollisionPairs (const ::hpp::core_idl::RelativeMotionMatrix &relMotion)=0
virtual _CORBA_Boolean | _dispatch (omniCallHandle &)
Public Member Functions inherited from _impl_ConfigValidation
virtual | ~_impl_ConfigValidation ()
virtual void | deleteThis ()=0
virtual ::CORBA::Boolean | deleteIfExpired ()=0
virtual void | persistantStorage (::CORBA::Boolean persistant)=0
virtual ::CORBA::Boolean | validate (const ::hpp::floatSeq &config, ::hpp::core_idl::ValidationReport_out report)=0

## Constructor & Destructor Documentation

## ◆ ~_impl_ConfigValidations()

virtual _impl_ConfigValidations::~_impl_ConfigValidations | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _dispatch()

virtual _CORBA_Boolean _impl_ConfigValidations::_dispatch | ( | omniCallHandle & |  | ) |
| virtual

Reimplemented from _impl_ConfigValidation.

## ◆ add()

virtual void _impl_ConfigValidations::add | ( | ::hpp::core_idl::ConfigValidation_ptr | validation | ) |
| pure virtual

## ◆ clear()

virtual void _impl_ConfigValidations::clear | ( |  | ) |
| pure virtual

## ◆ filterCollisionPairs()

virtual void _impl_ConfigValidations::filterCollisionPairs | ( | const ::hpp::core_idl::RelativeMotionMatrix & | relMotion | ) |
| pure virtual

## ◆ numberConfigValidations()

virtual size_type _impl_ConfigValidations::numberConfigValidations | ( |  | ) |
| pure virtual

## ◆ setSecurityMarginBetweenBodies()

virtual void _impl_ConfigValidations::setSecurityMarginBetweenBodies | ( | const char * | body_a,
|  | const char * | body_b,
|  | ::hpp::value_type | margin
| ) |  |
| pure virtual

## ◆ setSecurityMargins()

virtual void _impl_ConfigValidations::setSecurityMargins | ( | const ::hpp::floatSeqSeq & | margins | ) |
| pure virtual

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_validations-idl.hh